/*--------------------------------------------------------------------------------------*/
/*	Copyright (C) M-System Co., Ltd.  (2004). All Rights Reserved	  */
/*	Device:		            B3PU for PROFIBUS PA										  */
/*	Description:                                        										             */
/*	Dictionary:	         SIPADC01.dct												             */
/*                                                         		                                          	           */
/*  Revision:               1.00  						                                                  */
/*  Date:                        June  7, 2004 			                                                               */
/* Author:                      Tianbing Li                                                                               */
/*--------------------------------------------------------------------------------------*/

MANUFACTURER          29,
DEVICE_TYPE		             1,
DEVICE_REVISION          0x0300,	
DD_REVISION		             1

/**************************************************************************/
/******************** GENERAL ********************************************/
/****** IMPORT / INCLUDE - Files and Definations ******************************/
/**************************************************************************/
/**************************************************************************/

#define DEVICE_TITLE [menu_table_sensor_temperature]	// (SIPADC01.dct)
#define B3PU_TITLE [MSYS_B3PU] 

#include "SIPAST_Macros_300.inc"	
#include "SIPAST.inc"  
#include "SIPAST_CommError.inc"  

#define EXTRA_ITEMS_DEVICE_MENU_SPECIALIST	OnlineDialog_simulation_func1_msys,	\	
						OnlineDialog_reset,		\
						OnlineDialog_write_locking, 		\
						OnlineDialog_sensor_trims ,  \
						SEPARATOR			\
						DownloadUserLinearizationTable								  											

#define EXTRA_ITEMS_VIEW_MENU_SPECIALIST OnlineWindow_diagnosis		

#include "SI_FileM.inc"	// File - Menu
#include "SI_DevM.inc"	// Device - Menu
#include "SI_ViewM.inc"	// View - Menu
#include "SI_OptM.inc"	// Option - Menu
#include "SI_HlpM.inc"	// Help - Menu

/****************************************************************************/
/******************** PHYSICAL **********************************************/
/****** IMPORT / INCLUDE - Files and Definations *******************************/
/****************************************************************************/
/*****************************************************************************/

#define NO_phys_local_operation_enable	// local operation deactivates (SIPASTPB_300.inc & SIPADC01.dct)
#define NO_phys_hw_write_protection		// Hardware writing protection deactivates (SIPASTPB_300.inc & SIPADC01.dct)

#define DEFAULT_phys_ident_number 1 
#include "SIPASTPB_300.inc" // include   PA-3  Physical-Block !!
							  

/*****************************************************************************/
/******************** TRANSDUCER 1 *****************************************/
/****** IMPORT / INCLUDE - Files and Definations ********************************/
/*****************************************************************************/
/*****************************************************************************/

#define NO_trans1_sensor_wire_check_1 // Sensor_wire_check1 deactives  (Trans1_Temp_300.inc & SIPADC01.dct)

#include "MSYS_B3PU_00_trans1.inc"		// Import B3PU device-specific part

#include "MSYS_B3PU_USER_SENSOR.inc" 
 
/*******************************************************************************/
/******************** FUNCTION 1 ***********************************************/
/****** IMPORT / INCLUDE -  Files and Definations **********************************/
/*******************************************************************************/
/*******************************************************************************/


#define FUNC1_TAG_IN_TABLE							 // TAG activated

#define DEFAULT_VALUE_func1_upper_range_value 100.0                 
 #define DEFAULT_VALUE_func1_AI_pv_ftime	0			 
#define NO_UNIT_RELATION_out_scale_unit	
													 
#include "SIPASTAI_300.inc" // include PA-3 Function-Block         
    

#define YT1_LABEL		matrix_V0.trans1_primary_value.LABEL	
#define YT1_VALUE		trans1_primary_value			
#define	YT1_LRV			func1_AI_pv_lower_range_value	
#define YT1_URV			func1_AI_pv_upper_range_value            

#define YT2_LABEL		matrix_V6.func1_AI_out_value.LABEL	
#define YT2_VALUE		func1_AI_out_value								
#define	YT2_LRV			func1_AI_out_lower_range_value	
#define YT2_URV			func1_AI_out_upper_range_value	

#include "SI_YT.inc"	


#define SELECT_UNIT	SELECT(func1_AI_out_unit)		\
					{								\
						CASE	1000:	[unit_1000];\		
						CASE 	1001:	[unit_1001];\	
						CASE 	1002:	[unit_1002];\	
						CASE 	1003:	[unit_1003];\
						CASE 	1004:	[unit_1004];\
						CASE 	1005:	[unit_1005];\	
						CASE 	1006:	[unit_1006];\	
						CASE 	1007:	[unit_1007];\	
						CASE 	1008:	[unit_1008];\	
						CASE 	1009:	[unit_1009];\	
						CASE 	1010:	[unit_1010];\	
						CASE 	1011:	[unit_1011];\	
						CASE 	1012:	[unit_1012];\	
						CASE 	1013:	[unit_1013];\	
						CASE 	1014:	[unit_1014];\	
						CASE 	1015:	[unit_1015];\	
						CASE 	1016:	[unit_1016];\	
						CASE 	1017:	[unit_1017];\	
						CASE 	1018:	[unit_1018];\	
						CASE 	1019:	[unit_1019];\	
						CASE 	1020:	[unit_1020];\	
						CASE 	1021:	[unit_1021];\	
						CASE 	1022:	[unit_1022];\	
						CASE 	1023:	[unit_1023];\	
						CASE 	1024:	[unit_1024];\	
						CASE 	1025:	[unit_1025];\	
						CASE 	1026:	[unit_1026];\	
						CASE 	1027:	[unit_1027];\	
						CASE 	1028:	[unit_1028];\	
						CASE 	1029:	[unit_1029];\	
						CASE 	1030:	[unit_1030];\	
						CASE 	1031:	[unit_1031];\	
						CASE 	1032:	[unit_1032];\	
						CASE 	1033:	[unit_1033];\	
						CASE 	1034:	[unit_1034];\	
						CASE 	1035:	[unit_1035];\	
						CASE 	1036:	[unit_1036];\	
						CASE 	1037:	[unit_1037];\	
						CASE 	1038:	[unit_1038];\	
						CASE 	1039:	[unit_1039];\	
						CASE 	1040:	[unit_1040];\	
						CASE 	1041:	[unit_1041];\	
						CASE 	1042:	[unit_1042];\	
						CASE 	1043:	[unit_1043];\	
						CASE 	1044:	[unit_1044];\	
						CASE 	1045:	[unit_1045];\	
						CASE 	1046:	[unit_1046];\	
						CASE 	1047:	[unit_1047];\	
						CASE 	1048:	[unit_1048];\	
						CASE 	1049:	[unit_1049];\	
						CASE 	1050:	[unit_1050];\	
						CASE 	1051:	[unit_1051];\	
						CASE 	1052:	[unit_1052];\	
						CASE 	1053:	[unit_1053];\	
						CASE 	1054:	[unit_1054];\	
						CASE 	1055:	[unit_1055];\	
						CASE 	1056:	[unit_1056];\	
						CASE 	1057:	[unit_1057];\	
						CASE 	1058:	[unit_1058];\	
						CASE 	1059:	[unit_1059];\	
						CASE 	1060:	[unit_1060];\	
						CASE 	1061:	[unit_1061];\	
						CASE 	1062:	[unit_1062];\	
						CASE 	1063:	[unit_1063];\	
						CASE 	1064:	[unit_1064];\	
						CASE 	1065:	[unit_1065];\	
						CASE 	1066:	[unit_1066];\	
						CASE 	1067:	[unit_1067];\	
						CASE 	1068:	[unit_1068];\	
						CASE 	1069:	[unit_1069];\	
						CASE 	1070:	[unit_1070];\	
						CASE 	1071:	[unit_1071];\	
						CASE 	1072:	[unit_1072];\	
						CASE 	1073:	[unit_1073];\	
						CASE 	1074:	[unit_1074];\	
						CASE 	1075:	[unit_1075];\	
						CASE 	1076:	[unit_1076];\	
						CASE 	1077:	[unit_1077];\	
						CASE 	1078:	[unit_1078];\	
						CASE 	1079:	[unit_1079];\	
						CASE 	1080:	[unit_1080];\	
						CASE 	1081:	[unit_1081];\	
						CASE 	1082:	[unit_1082];\	
						CASE 	1083:	[unit_1083];\	
						CASE 	1084:	[unit_1084];\	
						CASE 	1085:	[unit_1085];\	
						CASE 	1086:	[unit_1086];\	
						CASE 	1087:	[unit_1087];\	
						CASE 	1088:	[unit_1088];\	
						CASE 	1089:	[unit_1089];\	
						CASE 	1090:	[unit_1090];\	
						CASE 	1091:	[unit_1091];\	
						CASE 	1092:	[unit_1092];\	
						CASE 	1093:	[unit_1093];\	
						CASE 	1094:	[unit_1094];\	
						CASE 	1095:	[unit_1095];\	
						CASE 	1096:	[unit_1096];\	
						CASE 	1097:	[unit_1097];\	
						CASE 	1098:	[unit_1098];\	
						CASE 	1099:	[unit_1099];\	
						CASE 	1100:	[unit_1100];\	
						CASE 	1101:	[unit_1101];\	
						CASE 	1102:	[unit_1102];\	
						CASE 	1103:	[unit_1103];\	
						CASE 	1104:	[unit_1104];\	
						CASE 	1105:	[unit_1105];\	
						CASE 	1106:	[unit_1106];\	
						CASE 	1107:	[unit_1107];\	
						CASE 	1108:	[unit_1108];\	
						CASE 	1109:	[unit_1109];\	
						CASE 	1110:	[unit_1110];\	
						CASE 	1111:	[unit_1111];\	
						CASE 	1112:	[unit_1112];\	
						CASE 	1113:	[unit_1113];\	
						CASE 	1114:	[unit_1114];\	
						CASE 	1115:	[unit_1115];\	
						CASE 	1116:	[unit_1116];\	
						CASE 	1117:	[unit_1117];\	
						CASE 	1118:	[unit_1118];\	
						CASE 	1119:	[unit_1119];\	
						CASE 	1120:	[unit_1120];\	
						CASE 	1121:	[unit_1121];\	
						CASE 	1122:	[unit_1122];\			
						CASE 	1123:	[unit_1123];\	
						CASE 	1124:	[unit_1124];\	
						CASE 	1125:	[unit_1125];\		
						CASE 	1126:	[unit_1126];\	
						CASE 	1127:	[unit_1127];\	
						CASE 	1128:	[unit_1128];\	
						CASE 	1129:	[unit_1129];\	
						CASE 	1130:	[unit_1130];\	
						CASE 	1131:	[unit_1131];\	
						CASE 	1132:	[unit_1132];\	
						CASE 	1133:	[unit_1133];\	
						CASE 	1134:	[unit_1134];\	
						CASE 	1135:	[unit_1135];\	
						CASE 	1136:	[unit_1136];\			
						CASE 	1137:	[unit_1137];\	
						CASE 	1138:	[unit_1138];\			
						CASE 	1139:	[unit_1139];\	
						CASE 	1140:	[unit_1140];\	
						CASE 	1141:	[unit_1141];\	
						CASE 	1142:	[unit_1142];\	
						CASE 	1143:	[unit_1143];\	
						CASE 	1144:	[unit_1144];\		
						CASE 	1145:	[unit_1145];\		
						CASE 	1146:	[unit_1146];\		
						CASE 	1147:	[unit_1147];\		
						CASE 	1148:	[unit_1148];\			
						CASE 	1149:	[unit_1149];\	
						CASE 	1150:	[unit_1150];\	
						CASE 	1151:	[unit_1151];\	
						CASE 	1152:	[unit_1152];\	
						CASE 	1153:	[unit_1153];\	
						CASE 	1154:	[unit_1154];\	
						CASE 	1155:	[unit_1155];\	
						CASE 	1156:	[unit_1156];\	
						CASE 	1157:	[unit_1157];\	
						CASE 	1158:	[unit_1158];\	
						CASE 	1159:	[unit_1159];\	
						CASE 	1160:	[unit_1160];\	
						CASE 	1161:	[unit_1161];\	
						CASE 	1162:	[unit_1162];\	
						CASE 	1163:	[unit_1163];\	
						CASE 	1164:	[unit_1164];\			
						CASE 	1165:	[unit_1165];\	
						CASE	1166:	[unit_1166];\	
						CASE 	1167:	[unit_1167];\	
						CASE 	1168:	[unit_1168];\	
						CASE 	1169:	[unit_1169];\	
						CASE 	1170:	[unit_1170];\	
						CASE 	1171:	[unit_1171];\	
						CASE 	1172:	[unit_1172];\		
						CASE 	1173:	[unit_1173];\	
						CASE 	1174:	[unit_1174];\	
						CASE 	1175:	[unit_1175];\		
						CASE 	1176:	[unit_1176];\	
						CASE 	1177:	[unit_1177];\	
						CASE 	1178:	[unit_1178];\	
						CASE 	1179:	[unit_1179];\	
						CASE 	1180:	[unit_1180];\	
						CASE 	1181:	[unit_1181];\	
						CASE 	1182:	[unit_1182];\	
						CASE 	1183:	[unit_1183];\	
						CASE 	1184:	[unit_1184];\	
						CASE 	1185:	[unit_1185];\	
						CASE 	1186:	[unit_1186];\	
						CASE 	1187:	[unit_1187];\	
						CASE 	1188:	[unit_1188];\	
						CASE 	1189:	[unit_1189];\			
						CASE 	1190:	[unit_1190];\	
						CASE 	1191:	[unit_1191];\	
						CASE 	1192:	[unit_1192];\	
						CASE 	1193:	[unit_1193];\	
						CASE 	1194:	[unit_1194];\			
						CASE 	1195:	[unit_1195];\	
						CASE 	1196:	[unit_1196];\	
						CASE 	1197:	[unit_1197];\	
						CASE 	1198:	[unit_1198];\	
						CASE 	1199:	[unit_1199];\			
						CASE 	1200:	[unit_1200];\	
						CASE 	1201:	[unit_1201];\	
						CASE 	1202:	[unit_1202];\	
						CASE 	1203:	[unit_1203];\	
						CASE 	1204:	[unit_1204];\	
						CASE 	1205:	[unit_1205];\	
						CASE 	1206:	[unit_1206];\	
						CASE 	1207:	[unit_1207];\	
						CASE 	1208:	[unit_1208];\	
						CASE 	1209:	[unit_1209];\	
						CASE 	1210:	[unit_1210];\	
						CASE 	1211:	[unit_1211];\	
						CASE 	1212:	[unit_1212];\	
						CASE 	1213:	[unit_1213];\	
						CASE 	1214:	[unit_1214];\	
						CASE 	1215:	[unit_1215];\	
						CASE 	1216:	[unit_1216];\	
						CASE 	1217:	[unit_1217];\	
						CASE 	1218:	[unit_1218];\	
						CASE 	1219:	[unit_1219];\	
						CASE 	1220:	[unit_1220];\	
						CASE 	1221:	[unit_1221];\	
						CASE 	1222:	[unit_1222];\	
						CASE 	1223:	[unit_1223];\	
						CASE 	1224:	[unit_1224];\	
						CASE 	1225:	[unit_1225];\	
						CASE 	1226:	[unit_1226];\	
						CASE 	1227:	[unit_1227];\	
						CASE 	1228:	[unit_1228];\	
						CASE 	1229:	[unit_1229];\	
						CASE 	1230:	[unit_1230];\	
						CASE 	1231:	[unit_1231];\	
						CASE 	1232:	[unit_1232];\	
						CASE 	1233:	[unit_1233];\	
						CASE 	1234:	[unit_1234];\	
						CASE 	1235:	[unit_1235];\	
						CASE 	1236:	[unit_1236];\	
						CASE 	1237:	[unit_1237];\	
						CASE 	1238:	[unit_1238];\	
						CASE 	1239:	[unit_1239];\	
						CASE 	1240:	[unit_1240];\	
						CASE 	1241:	[unit_1241];\	
						CASE 	1242:	[unit_1242];\	
						CASE 	1243:	[unit_1243];\	
						CASE 	1244:	[unit_1244];\	
						CASE 	1245:	[unit_1245];\	
						CASE 	1246:	[unit_1246];\	
						CASE 	1247:	[unit_1247];\	
						CASE 	1248:	[unit_1248];\	
						CASE 	1249:	[unit_1249];\	
						CASE 	1250:	[unit_1250];\	
						CASE 	1251:	[unit_1251];\	
						CASE 	1252:	[unit_1252];\	
						CASE 	1253:	[unit_1253];\	
						CASE 	1254:	[unit_1254];\	
						CASE 	1255:	[unit_1255];\	
						CASE 	1256:	[unit_1256];\	
						CASE 	1257:	[unit_1257];\	
						CASE 	1258:	[unit_1258];\	
						CASE 	1259:	[unit_1259];\	
						CASE 	1260:	[unit_1260];\	
						CASE 	1261:	[unit_1261];\	
						CASE 	1262:	[unit_1262];\	
						CASE 	1263:	[unit_1263];\	
						CASE 	1264:	[unit_1264];\	
						CASE 	1265:	[unit_1265];\	
						CASE 	1266:	[unit_1266];\	
						CASE 	1267:	[unit_1267];\	
						CASE 	1268:	[unit_1268];\	
						CASE 	1269:	[unit_1269];\	
						CASE 	1270:	[unit_1270];\	
						CASE 	1271:	[unit_1271];\	
						CASE 	1272:	[unit_1272];\	
						CASE 	1273:	[unit_1273];\	
						CASE 	1274:	[unit_1274];\	
						CASE 	1275:	[unit_1275];\	
						CASE 	1276:	[unit_1276];\	
						CASE 	1277:	[unit_1277];\	
						CASE 	1278:	[unit_1278];\	
						CASE 	1279:	[unit_1279];\	
						CASE 	1280:	[unit_1280];\	
						CASE 	1281:	[unit_1281];\	
						CASE 	1282:	[unit_1282];\	
						CASE 	1283:	[unit_1283];\	
						CASE 	1284:	[unit_1284];\	
						CASE 	1285:	[unit_1285];\	
						CASE 	1286:	[unit_1286];\	
						CASE 	1287:	[unit_1287];\	
						CASE 	1288:	[unit_1288];\	
						CASE 	1289:	[unit_1289];\	
						CASE 	1290:	[unit_1290];\	
						CASE 	1291:	[unit_1291];\	
						CASE 	1292:	[unit_1292];\	
						CASE 	1293:	[unit_1293];\	
						CASE 	1294:	[unit_1294];\	
						CASE 	1295:	[unit_1295];\	
						CASE 	1296:	[unit_1296];\	
						CASE 	1297:	[unit_1297];\	
						CASE 	1298:	[unit_1298];\	
						CASE 	1299:	[unit_1299];\	
						CASE 	1300:	[unit_1300];\	
						CASE 	1301:	[unit_1301];\	
						CASE 	1302:	[unit_1302];\	
						CASE 	1303:	[unit_1303];\	
						CASE 	1304:	[unit_1304];\	
						CASE 	1305:	[unit_1305];\	
						CASE 	1306:	[unit_1306];\	
						CASE 	1307:	[unit_1307];\	
						CASE 	1308:	[unit_1308];\	
						CASE 	1309:	[unit_1309];\	
						CASE 	1310:	[unit_1310];\	
						CASE 	1311:	[unit_1311];\	
						CASE 	1312:	[unit_1312];\	
						CASE 	1313:	[unit_1313];\	
						CASE 	1314:	[unit_1314];\	
						CASE 	1315:	[unit_1315];\	
						CASE 	1316:	[unit_1316];\	
						CASE 	1317:	[unit_1317];\	
						CASE 	1318:	[unit_1318];\	
						CASE 	1319:	[unit_1319];\	
						CASE 	1320:	[unit_1320];\	
						CASE 	1321:	[unit_1321];\
						CASE 	1322:	[unit_1322];\	
						CASE 	1323:	[unit_1323];\	
						CASE 	1324:	[unit_1324];\	
						CASE 	1325:	[unit_1325];\
						CASE 	1326:	[unit_1326];\
						CASE 	1327:	[unit_1327];\
						CASE 	1328:	[unit_1328];\	
						CASE 	1329:	[unit_1329];\	
						CASE 	1330:	[unit_1330];\	
						CASE 	1331:	[unit_1331];\	
						CASE 	1332:	[unit_1332];\	
						CASE 	1333:	[unit_1333];\	
						CASE 	1334:	[unit_1334];\	
						CASE 	1335:	[unit_1335];\	
						CASE 	1336:	[unit_1336];\	
						CASE 	1337:	[unit_1337];\	
						CASE 	1338:	[unit_1338];\	
						CASE 	1339:	[unit_1339];\	
						CASE 	1340:	[unit_1340];\	
						CASE 	1341:	[unit_1341];\	
						CASE 	1342:	[unit_1342];\	
						CASE 	1343:	[unit_1343];\	
						CASE 	1344:	[unit_1344];\	
						CASE 	1345:	[unit_1345];\	
						CASE 	1346:	[unit_1346];\	
						CASE 	1347:	[unit_1347];\	
						CASE 	1348:	[unit_1348];\	
						CASE 	1349:	[unit_1349];\	
						CASE 	1350:	[unit_1350];\	
						CASE 	1351:	[unit_1351];\	
						CASE 	1352:	[unit_1352];\	
						CASE 	1353:	[unit_1353];\	
						CASE 	1354:	[unit_1354];\	
						CASE 	1355:	[unit_1355];\	
						CASE 	1356:	[unit_1356];\	
						CASE 	1357:	[unit_1357];\	
						CASE 	1358:	[unit_1358];\	
						CASE 	1359:	[unit_1359];\	
						CASE 	1360:	[unit_1360];\	
						CASE 	1361:	[unit_1361];\	
						CASE 	1362:	[unit_1362];\	
						CASE 	1363:	[unit_1363];\	
						CASE 	1364:	[unit_1364];\	
						CASE 	1365:	[unit_1365];\	
						CASE 	1366:	[unit_1366];\	
						CASE 	1367:	[unit_1367];\	
						CASE 	1368:	[unit_1368];\	
						CASE 	1369:	[unit_1369];\	
						CASE 	1370:	[unit_1370];\	
						CASE 	1371:	[unit_1371];\	
						CASE 	1372:	[unit_1372];\	
						CASE 	1373:	[unit_1373];\	
						CASE 	1374:	[unit_1374];\	
						CASE 	1375:	[unit_1375];\	
						CASE 	1376:	[unit_1376];\	
						CASE 	1377:	[unit_1377];\	
						CASE 	1378:	[unit_1378];\	
						CASE 	1379:	[unit_1379];\	
						CASE 	1380:	[unit_1380];\	
						CASE 	1381:	[unit_1381];\	
						CASE 	1382:	[unit_1382];\	
						CASE 	1383:	[unit_1383];\	
						CASE 	1384:	[unit_1384];\	
						CASE 	1385:	[unit_1385];\	
						CASE 	1386:	[unit_1386];\	
						CASE 	1387:	[unit_1387];\	
						CASE 	1388:	[unit_1388];\	
						CASE 	1389:	[unit_1389];\	
						CASE 	1390:	[unit_1390];\	
						CASE 	1391:	[unit_1391];\	
						CASE 	1392:	[unit_1392];\	
						CASE 	1393:	[unit_1393];\	
						CASE 	1394:	[unit_1394];\	
						CASE 	1395:	[unit_1395];\	
						CASE 	1396:	[unit_1396];\	
						CASE 	1397:	[unit_1397];\	
						CASE 	1398:	[unit_1398];\	
						CASE 	1399:	[unit_1399];\	
						CASE 	1400:	[unit_1400];\	
						CASE 	1401:	[unit_1401];\	
						CASE 	1402:	[unit_1402];\	
						CASE 	1403:	[unit_1403];\	
						CASE 	1404:	[unit_1404];\	
						CASE 	1405:	[unit_1405];\	
						CASE 	1406:	[unit_1406];\	
						CASE 	1407:	[unit_1407];\	
						CASE 	1408:	[unit_1408];\	
						CASE 	1409:	[unit_1409];\	
						CASE 	1410:	[unit_1410];\	
						CASE 	1411:	[unit_1411];\	
						CASE 	1412:	[unit_1412];\	
						CASE 	1413:	[unit_1413];\	
						CASE 	1414:	[unit_1414];\	
						CASE 	1415:	[unit_1415];\	
						CASE 	1416:	[unit_1416];\	
						CASE 	1417:	[unit_1417];\	
						CASE 	1418:	[unit_1418];\	
						CASE 	1419:	[unit_1419];\	
						CASE 	1420:	[unit_1420];\	
						CASE 	1421:	[unit_1421];\	
						CASE 	1422:	[unit_1422];\	
						CASE 	1423:	[unit_1423];\	
						CASE 	1424:	[unit_1424];\	
						CASE 	1425:	[unit_1425];\	
						CASE 	1426:	[unit_1426];\	
						CASE 	1427:	[unit_1427];\	
						CASE 	1428:	[unit_1428];\	
						CASE 	1429:	[unit_1429];\	
						CASE 	1430:	[unit_1430];\	
						CASE 	1431:	[unit_1431];\	
						CASE 	1432:	[unit_1432];\	
						CASE 	1433:	[unit_1433];\	
						CASE 	1434:	[unit_1434];\ 	
						CASE 	1435:	[unit_1435];\	
						CASE 	1436:	[unit_1436];\	
						CASE 	1437:	[unit_1437];\	
						CASE 	1438:	[unit_1438];\	
						CASE 	1439:	[unit_1439];\	
						CASE 	1440:	[unit_1440];\	
						CASE 	1441:	[unit_1441];\	
						CASE 	1442:	[unit_1442];\	
						CASE 	1443:	[unit_1443];\	
						CASE 	1444:	[unit_1444];\	
						CASE 	1445:	[unit_1445];\	
						CASE 	1446:	[unit_1446];\	
						CASE 	1447:	[unit_1447];\	
						CASE 	1448:	[unit_1448];\	
						CASE 	1449:	[unit_1449];\	
						CASE 	1450:	[unit_1450];\	
						CASE 	1451:	[unit_1451];\	
						CASE 	1452:	[unit_1452];\	
						CASE 	1453:	[unit_1453];\	
						CASE 	1454:	[unit_1454];\	
						CASE 	1455:	[unit_1455];\	
						CASE 	1456:	[unit_1456];\	
						CASE 	1457:	[unit_1457];\	
						CASE 	1458:	[unit_1458];\	
						CASE 	1459:	[unit_1459];\	
						CASE 	1460:	[unit_1460];\	
						CASE 	1461:	[unit_1461];\	
						CASE 	1462:	[unit_1462];\	
						CASE 	1463:	[unit_1463];\	
						CASE 	1464:	[unit_1464];\	
						CASE 	1465:	[unit_1465];\	
						CASE 	1466:	[unit_1466];\	
						CASE 	1467:	[unit_1467];\	
						CASE 	1468:	[unit_1468];\	
						CASE 	1469:	[unit_1469];\	
						CASE 	1470:	[unit_1470];\	
						CASE 	1471:	[unit_1471];\	
						CASE 	1472:	[unit_1472];\	
						CASE 	1473:	[unit_1473];\	
						CASE 	1474:	[unit_1474];\	
						CASE 	1475:	[unit_1475];\	
						CASE 	1476:	[unit_1476];\	
						CASE 	1477:	[unit_1477];\	
						CASE 	1478:	[unit_1478];\	
						CASE 	1479:	[unit_1479];\	
						CASE 	1480:	[unit_1480];\	
						CASE 	1481:	[unit_1481];\	
						CASE 	1482:	[unit_1482];\	
						CASE 	1483:	[unit_1483];\	
						CASE 	1484:	[unit_1484];\	
						CASE 	1485:	[unit_1485];\	
						CASE 	1486:	[unit_1486];\	
						CASE 	1487:	[unit_1487];\	
						CASE 	1488:	[unit_1488];\	
						CASE 	1489:	[unit_1489];\	
						CASE 	1490:	[unit_1490];\	
						CASE 	1491:	[unit_1491];\	
						CASE 	1492:	[unit_1492];\	
						CASE 	1493:	[unit_1493];\	
						CASE 	1494:	[unit_1494];\	
						CASE 	1495:	[unit_1495];\	
						CASE 	1496:	[unit_1496];\	
						CASE 	1497:	[unit_1497];\	
						CASE 	1498:	[unit_1498];\	
						CASE 	1499:	[unit_1499];\	
						CASE 	1500:	[unit_1500];\	
						CASE 	1501:	[unit_1501];\	
						CASE 	1502:	[unit_1502];\	
						CASE 	1503:	[unit_1503];\	
						CASE 	1504:	[unit_1504];\	
						CASE 	1505:	[unit_1505];\	
						CASE 	1506:	[unit_1506];\	
						CASE 	1507:	[unit_1507];\	
						CASE 	1508:	[unit_1508];\	
						CASE 	1509:	[unit_1509];\	
						CASE 	1510:	[unit_1510];\	
						CASE 	1511:	[unit_1511];\
						CASE 	1512:	[unit_1512];\
						CASE 	1513:	[unit_1513];\
						CASE 	1514:	[unit_1514];\
						CASE 	1515:	[unit_1515];\
						CASE 	1516:	[unit_1516];\
						CASE 	1517:	[unit_1517];\
						CASE 	1518:	[unit_1518];\
						CASE 	1519:	[unit_1519];\
						CASE 	1520:	[unit_1520];\
						CASE 	1551:	[unit_1551];\
						CASE 	1552:	[unit_1552];\
						CASE 	1553:	[unit_1553];\
						CASE 	1554:	[unit_1554];\
						CASE 	1555:	[unit_1555];\
						CASE 	1556:	[unit_1556];\
						CASE 	1557:	[unit_1557];\
						CASE 	1558:	[unit_1558];\
						CASE 	1559:	[unit_1559];\
						CASE 	1560:	[unit_1560];\
						CASE 	1561:	[unit_1561];\
						CASE 	1562:	[unit_1562];\
						CASE 	1563:	[unit_1563];\
						CASE 	1564:	[unit_1564];\
						CASE 	1565:	[unit_1565];\
						CASE 	1566:	[unit_1566];\
						CASE 	1996:	[not_used];	\
						CASE 	1998:	[unknown];	\
						CASE 	1999:	[special];	\
						CASE	1997:   " ";		\	
					}
					
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*++++++++++++ GENERAL ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

/*******************************************************************************/
/****** MENU Bar ***************************************************************/
/*******************************************************************************/

MENU Menu_Main_Specialist		// Menu for Specialist
{
	LABEL		[main_menu];
	ITEMS
	{
		Menu_File,
		Menu_S_Device,
		Menu_S_View,
		Menu_Options,
		Menu_Help
	}
}

MENU Menu_Main_Maintenance		// Menu for Maintemance Engineer
{
	LABEL		[main_menu];
	ITEMS
	{
		Menu_File,
		Menu_M_Device,
		Menu_M_View,
		Menu_M_Options,
		Menu_Help
	}
}

/*******************************************************************************/
/****** MENU Table *************************************************************/
/*******************************************************************************/

// --- Parameter table --------------------------------------------------------
MENU Table_Main_Specialist		 // Table  for  Specialist
{
	LABEL	B3PU_TITLE;		
	ITEMS
	{
		Tab_s_MSYS_Std_Matrix, 
       	 tab_b3pu_specialist,
		Tab_s_msys_special
	}
}                                    
MENU Table_Main_Maintenance		// Table for Maintenance Engineer
{
	LABEL	B3PU_TITLE;
	ITEMS
	{
		tab_b3pu_maintenance,
		Tab_s_MSYS_Std_Matrix	
	}
}         
MENU tab_b3pu_specialist
{
	LABEL	DEVICE_TITLE;
	ITEMS
	{
		Tab_s_ident,
		Tab_s_input,
		Tab_s_output,
 		Tab_s_certificates
	}
}
MENU tab_b3pu_maintenance
{
	LABEL	DEVICE_TITLE;
	ITEMS
	{
		Tab_m_ident,
		Tab_m_input,
		Tab_m_output,
 		Tab_s_certificates,
		Tab_s_MSYS_Std_Matrix	
	}
}                
MENU Tab_s_input			//  Specialist
{
	LABEL		[menu_input];
	ITEMS
	{
		Tab_s_trans1		
	}
}                          
MENU Tab_m_input			//  Engineer
{
	LABEL		[menu_input];
	ITEMS
	{
		Tab_m_trans1
	}
}                       
MENU Tab_s_output			// Specialist
{
	LABEL		[menu_output];
	ITEMS
	{
		Tab_s_func1
	}
}

MENU Tab_m_output			//      Engineer            
{
	LABEL		[menu_output];
	ITEMS
	{
		Tab_m_func1
	}
}                          
MENU Tab_s_MSYS_Std_Matrix	 
{
	LABEL	[menu_table_MSYS_Std_Matrix];
	ITEMS
	{
		Tab_s_V0,
		Tab_s_V2,
		Tab_s_V6,
		Tab_s_VA,
	}
}

MENU Tab_s_V0	   
{
	LABEL	[menu_table_V0];
	ITEMS
	{
		matrix_V0.trans1_primary_value						
		matrix_V0.trans1_reference_junction_temp			
        matrix_V0.func1_AI_pv_ftime							
		matrix_V0.trans1_reference_junction_type		   
		matrix_V0.trans1_external_reference_junction_value 
		matrix_V0.trans1_bias_1							   
	}
}

MENU Tab_s_V2		
{
	LABEL	[menu_table_V2];
	ITEMS
	{
        matrix_V2.trans1_lin_type                    
        matrix_V2.trans1_primary_value_unit	
        matrix_V2.trans1_input_range 		 
		matrix_V2.trans1_lower_sensor_limit		
		matrix_V2.trans1_upper_sensor_limit		
		matrix_V2.trans1_sensor_connection		
		matrix_V2.trans1_comp_wire_1			
	}
}

MENU Tab_s_V6	
{
	LABEL	[menu_table_V6];
	ITEMS
	{
		matrix_V6.phys_ident_number						   
		matrix_V6.func1_AI_out_value (READ_ONLY)			
		matrix_V6.func1_AI_out_status_quality (READ_ONLY)	
		matrix_V6.phys_blk_profile_rev					   
	}
}


MENU Tab_s_VA		
{
	LABEL	[menu_table_VA];
	ITEMS
	{
		matrix_VA.phys_tag_desc				
		matrix_VA.phys_message			   
		matrix_VA.phys_hardware_rev		   
		matrix_VA.phys_software_rev		   
		matrix_VA.phys_device_ser_num		
	}
}
MENU  Tab_s_msys_special		
{
	LABEL	[menu_msys_special];
	ITEMS
	{
		tb_spec_lin_type (READ_ONLY) ,    
        tb_spec_max_number,
		tb_spec_temperature_unit(READ_ONLY) ,
		tb_spec_min_temperature(READ_ONLY) ,
		tb_spec_pitch(READ_ONLY) ,
		tb_spec_actual_index_number(READ_ONLY) ,
		tb_spec_index(READ_ONLY) ,
		tb_spec_entry_x(READ_ONLY) ,
		tb_spec_operation_code(READ_ONLY) ,
         tb_sensor_Lower_trim(READ_ONLY) ,
         tb_sensor_Upper_trim (READ_ONLY) 
	}	
}
/*******************************************************************************/
/***** Table VARIABLE / COMMANDS ***********************************************/
/*******************************************************************************/

COLLECTION OF VARIABLE matrix_V0
{

    MEMBERS
    {
		trans1_primary_value, trans1_primary_value,	[V0H0_LABEL];
		trans1_reference_junction_temp, trans1_reference_junction_temp,						[V0H1_LABEL];
		func1_AI_pv_ftime, func1_AI_pv_ftime,												[V0H2_LABEL];
		trans1_reference_junction_type, trans1_reference_junction_type,						[V0H3_LABEL];
		trans1_external_reference_junction_value, trans1_external_reference_junction_value,	[V0H4_LABEL];
		trans1_bias_1, trans1_bias_1,														[V0H5_LABEL];
    }
}

COLLECTION OF VARIABLE matrix_V2
{
	MEMBERS
	{
   		trans1_lin_type, trans1_lin_type,						[V2H1_LABEL];
 	    trans1_input_range, trans1_input_range,					[V2H0_LABEL];
		trans1_primary_value_unit, trans1_primary_value_unit,	[V2H2_LABEL];		
		trans1_lower_sensor_limit, trans1_lower_sensor_limit,	[V2H4_LABEL];
		trans1_upper_sensor_limit, trans1_upper_sensor_limit,	[V2H5_LABEL];
		trans1_sensor_connection, trans1_sensor_connection,		[V2H6_LABEL];
		trans1_comp_wire_1, trans1_comp_wire_1,					[V2H7_LABEL];
	}
}

COLLECTION OF VARIABLE matrix_V6
{
	MEMBERS
	{
		phys_ident_number, phys_ident_number,						[V6H0_LABEL];
		func1_AI_out_value, func1_AI_out_value,						[V6H2_LABEL];
		func1_AI_out_status_quality, func1_AI_out_status_quality,	[V6H3_LABEL];
		phys_blk_profile_rev, phys_blk_profile_rev,					[V6H7_LABEL];
	}
}


COLLECTION OF VARIABLE matrix_VA
{
	MEMBERS
	{
		phys_tag_desc, phys_tag_desc,					[VAH0_LABEL];			
		phys_message, phys_message,						[VAH1_LABEL];								
		phys_hardware_rev, phys_hardware_rev,			[VAH2_LABEL];					
		phys_software_rev, phys_software_rev,			[VAH3_LABEL];		
		phys_device_ser_num, phys_device_ser_num,		[VAH4_LABEL];
	}
}

/*******************************************************************************/
/******	Online / Offline - WINDOWS (MENU) // Online / Offline - DIALOGS (MENU)**/
/*******(not modal windows) * (modal windows)*****************************/

MENU OnlineDialog_simulation_func1_msys	// for  Menu Simulation
{
	LABEL		[menu_interface_simulate];
	ITEMS
	{
		Page_simulation_input_func1,
		Page_simulation_output_func1
	}
}
MENU OnlineDialog_sensor_trims	
{
	LABEL		[msys_SensorTrim];
	ITEMS
	{
		 tb_sensor_Lower_trim,
         tb_sensor_Upper_trim
   	}
}
MENU OnlineWindow_display  
{
	LABEL		[menu_dialog_display];
	ITEMS
	{
		Page_display_measure,
		Page_display_func1
	}
}
MENU BarVal_out_display_func1
{
	LABEL		[V6H2_LABEL];
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		matrix_V6.func1_AI_out_value	(READ_ONLY),
		func1_AI_out_lower_range_value	(READ_ONLY),
		func1_AI_out_upper_range_value	(READ_ONLY)
	}
}
MENU Page_display_func1
{
	LABEL       FUNC1_TITLE ;
	ITEMS
	{
		matrix_VA.phys_tag_desc,
		BarVal_out_display_func1,
		Group_display_func1_out,
		Group_display_func1_in
	}
}

MENU Page_display_measure	
{
	LABEL		[menu_dialog_display_measure];
	ITEMS
	{
		BarVal_pv_display,
		Group_display_primary,
		phys_diagnosis
	}
}

MENU BarVal_pv_display	
{
	LABEL		[V0H0_LABEL];
	ITEMS
	{
		trans1_primary_value,
		trans1_lower_sensor_limit,
		trans1_upper_sensor_limit 
	}
}

MENU Group_display_primary  
{
	LABEL		[trans_value];
	ITEMS
	{
		matrix_V0.trans1_primary_value,
		SEPARATOR,
		trans1_primary_value_status_quality,
		trans1_primary_value_status_limit
	}
}

MENU OnlineWindow_diagnosis  
{
	LABEL		[menu_dialog_diagnosis];
	ITEMS
	{
		Page_diagnosis_overview,	
		Page_diagnosis_general,	   
		Page_diagnosis_phys_block,	
		Page_diagnosis_trans1,	   
		Page_diagnosis_func1     
	}
}


MENU Page_diagnosis_overview	
{								
	LABEL	[menu_dialog_overview];
	ITEMS
	{
		trans1.actual_mode,
		func1.actual_mode,
 	}
}

/*******************************************************************************/
/****** RELATIONS / UNIT *******************************************************/
/*******************************************************************************/

UNIT UNIT_TRANS1_PRIMARY_VALUE_UNIT
{
	trans1_primary_value_unit:

	trans1_primary_value,
	trans1_reference_junction_temp, 
	trans1_upper_sensor_limit,
	trans1_lower_sensor_limit,
	func1_AI_pv_lower_range_value,	
	func1_AI_pv_upper_range_value,	
	trans1_external_reference_junction_value
}


/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*++++++++++++ PHYSICAL BLOCK +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/

/*******************************************************************************/
/***** Table VARIABLE / COMMANDS ***********************************************/
/*******************************************************************************/
VARIABLE PROFIBUS_Profile_Features_Supported
{
        LABEL           "";
        HELP            "";
        CLASS           LOCAL;
        TYPE            UNSIGNED_INTEGER (2)
        {
                DEFAULT_VALUE 0x00;
        }
        HANDLING        READ;
}
/* ... additional parameters can be configured
- PROFIBUS_Poll_Timeout
- PROFIBUS_Features_Supported
- PROFIBUS_Profile_Features_Supported
- PROFIBUS_Profile_Ident_Number
*/

VARIABLE phys_tag_desc
{
	/* ST_REV */
	LABEL		[tag_desc];		
	HELP		[tag_desc_help];
	CLASS		CONTAINED;
	TYPE		ASCII (32);
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		method_balance_phys_tag_desc
	}	

}
COMMAND read_phys_tag_desc
{
	BLOCK physical_block;
	INDEX 2;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			phys_tag_desc
		}
	}
}

COMMAND write_phys_tag_desc
{
	BLOCK physical_block;
	INDEX 2;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			phys_tag_desc
		}
		REPLY
		{
		}
	}
}
VARIABLE phys_div_software_nummber
{
	LABEL		"phys_div_software_nummber";
	HELP		"phys_div_software_nummber";
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER
	{
		DEFAULT_VALUE	0;
	}

	HANDLING	READ;
}

/*******************************************************************************/
/****** METHODS	****************************************************************/
/*******************************************************************************/
METHOD method_balance_phys_tag_desc
{
	CLASS INPUT;
	LABEL [balance];
	DEFINITION
	{
		func1_AI_tag_desc = phys_tag_desc; 
	}
}

/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*++++++++++++ TRANSDUCER BLOCK 1: Temperature ++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/


// see imported file EHPA__TMT184_00_trans1_imp.inc


/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*++++++++++++ FUNCTION BLOCK 1: Analog input +++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
/*+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++*/
func1_AI_tag_desc								LIKE VARIABLE	phys_tag_desc
{											
	REDEFINE POST_EDIT_ACTIONS
	{
		method_balance_func1_AI_tag_desc
	}	
}											
VARIABLE tb_spec_lin_type
{
	LABEL		[tb_spec_lin_type_label];		
	HELP		 [tb_spec_lin_type_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (1)
		{
			DEFAULT_VALUE	241;
			{ 240,	"USER-SPEC-RTD"	},			
			{ 241,	"USER-SPEC-TC"	}
		}
	HANDLING	READ & WRITE;
	POST_EDIT_ACTIONS
	{
		method_refresh_spec_para
	}	

}
COMMAND read_tb_spec_lin_type
{
	BLOCK transducer_block_1;
	INDEX 62;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			tb_spec_lin_type
		}
	}
}
COMMAND write_tb_spec_lin_type
{
	BLOCK transducer_block_1;
	INDEX 62;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			tb_spec_lin_type
		}
		REPLY
		{
		}
	}
}
VARIABLE tb_spec_max_number
{
	LABEL		[tb_spec_max_number_label];		
	HELP		[tb_spec_max_number_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER(2)
	{
		DEFAULT_VALUE	
			IF (tb_spec_lin_type == 240)		{500;}
			ELSE				{1000;}	
	}
	HANDLING	READ;
}
COMMAND read_tb_spec_max_number
{
	BLOCK transducer_block_1;
	INDEX 63;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			 tb_spec_max_number
		}
	}
}

VARIABLE tb_spec_temperature_unit
{
	LABEL		[tb_spec_temperature_unit_label];		
	HELP		 [tb_spec_temperature_unit_help];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
		{
			DEFAULT_VALUE	1001;			
				{ 1000,	[unit_1000],	[unit_1000_help]	},
				{ 1001,	[unit_1001],	[unit_1001_help]	},
				{ 1002,	[unit_1002],	[unit_1002_help]	},
				{ 1003,	[unit_1003],	[unit_1003_help]	}			
		}
	HANDLING	READ & WRITE;
}
COMMAND read_tb_spec_temperature_unit
{
	BLOCK transducer_block_1;
	INDEX 64;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			tb_spec_temperature_unit
		}
	}
}
COMMAND write_tb_spec_temperature_unit
{
	BLOCK transducer_block_1;
	INDEX 64;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			tb_spec_temperature_unit
		}
		REPLY
		{
		}
	}
}
//------------------
VARIABLE tb_spec_min_temperature
{
	LABEL		[tb_spec_min_temperature_label];		
	HELP		 [tb_spec_min_temperature_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
		{
			DEFAULT_VALUE	SELECT(tb_spec_temperature_unit)			
			{									
				CASE 1000:	273;					
				CASE 1001: 	0;					
				CASE 1002: 	32;					
				DEFAULT: 	400;					
			}												
		}
	HANDLING	READ & WRITE;
}
COMMAND read_tb_spec_min_temperature
{
	BLOCK transducer_block_1;
	INDEX 65;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			tb_spec_min_temperature
		}
	}
}
COMMAND write_tb_spec_min_temperature
{
	BLOCK transducer_block_1;
	INDEX 65;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			tb_spec_min_temperature
		}
		REPLY
		{
		}
	}
}

//--------------------
VARIABLE tb_spec_pitch
{
	LABEL		[tb_spec_pitch_label];		
	HELP		[tb_spec_pitch_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
		{
			DEFAULT_VALUE	SELECT(tb_spec_temperature_unit)			
			{									
				CASE 1000:	10;					
				CASE 1001: 	10;					
				CASE 1002: 	18;					
				DEFAULT: 	18;					
			}										
		}
	HANDLING	READ & WRITE;
}
COMMAND read_tb_spec_pitch
{
	BLOCK transducer_block_1;
	INDEX 66;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			tb_spec_pitch
		}
	}
}
COMMAND write_tb_spec_pitch
{
	BLOCK transducer_block_1;
	INDEX 66;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			tb_spec_pitch
		}
		REPLY
		{
		}
	}
}

//--------------------
VARIABLE tb_spec_actual_index_number
{
	LABEL	   [tb_spec_actual_index_number_label] ;		
	HELP		[tb_spec_actual_index_number_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER(2)
	{
		DEFAULT_VALUE	2;
	}
	HANDLING	READ & WRITE;
}
COMMAND read_actual_index_number
{
	BLOCK transducer_block_1;
	INDEX 67;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			tb_spec_actual_index_number
		}
	}
}
COMMAND write_tb_spec_actual_index_number
{
	BLOCK transducer_block_1;
	INDEX 67;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			tb_spec_actual_index_number
		}
		REPLY
		{
		}
	}
}
//--------------------
VARIABLE tb_spec_index
{
	LABEL		[tb_spec_index_label];		
	HELP		[tb_spec_index_help];
	CLASS		CONTAINED;
	TYPE		UNSIGNED_INTEGER(2)
	{
		DEFAULT_VALUE	2;
	}
	HANDLING	READ & WRITE;
}
COMMAND read_index
{
	BLOCK transducer_block_1;
	INDEX 68;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			tb_spec_index
		}
	}
}
COMMAND write_tb_spec_index
{
	BLOCK transducer_block_1;
	INDEX 68;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			tb_spec_index
		}
		REPLY
		{
		}
	}
}
//--------------------
VARIABLE tb_spec_entry_x
{
	LABEL		[tb_spec_entry_x_label];		
	HELP		 [tb_spec_entry_x_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
		{
			DEFAULT_VALUE	tb_spec_min_temperature;							
		}
	HANDLING	READ & WRITE;
}
COMMAND read_tb_spec_entry_x
{
	BLOCK transducer_block_1;
	INDEX 69;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			tb_spec_entry_x
		}
	}
}
COMMAND write_tb_spec_entry_x
{
	BLOCK transducer_block_1;
	INDEX 69;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			tb_spec_entry_x
		}
		REPLY
		{
		}
	}
}
VARIABLE tb_spec_operation_code
{
	LABEL		[tb_spec_operation_code_label];		
	HELP		 [tb_spec_operation_code_hlp];
	CLASS		CONTAINED;
	TYPE		ENUMERATED (2)
		{
			DEFAULT_VALUE	02;			
			{ 02,	[op_code_unini_label],	[op_code_unini_help]	},
			{ 165,	[op_code_edit_label],	[op_code_edit_help]	},
			{0,	[op_code_valid_label],	[op_code_valid_help]	}		
		}
	HANDLING	READ & WRITE;
}
COMMAND read_tb_spec_operation_code
{
	BLOCK transducer_block_1;
	INDEX 70;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			tb_spec_operation_code
		}
	}
}
COMMAND write_tb_spec_operation_code
{
	BLOCK transducer_block_1;
	INDEX 70;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			tb_spec_operation_code
		}
		REPLY
		{
		}
	}
}
//--------------------
VARIABLE tb_sensor_Lower_trim
{
	LABEL		[tb_sensor_Lower_trim_label];		
	HELP		[tb_sensor_Lower_trim_help];
	CLASS		CONTAINED;
	TYPE		FLOAT
		{
			DEFAULT_VALUE	trans1_lower_sensor_limit;							
		}
	HANDLING	READ & WRITE;
}
COMMAND read_tb_sensor_Lower_trim
{
	BLOCK transducer_block_1;
	INDEX 76;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			tb_sensor_Lower_trim
		}
	}
}
COMMAND write_tb_sensor_Lower_trim
{
	BLOCK transducer_block_1;
	INDEX 76;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			tb_sensor_Lower_trim
		}
		REPLY
		{
		}
	}
}
//--------------------
VARIABLE tb_sensor_Upper_trim
{
	LABEL		 [tb_sensor_Upper_trim_label];		
	HELP		  [tb_sensor_Upper_trim_label];
	CLASS		CONTAINED;
	TYPE		FLOAT
		{
			DEFAULT_VALUE	trans1_upper_sensor_limit;							
		}
	HANDLING	READ & WRITE;
}
COMMAND read_tb_sensor_Upper_trim
{
	BLOCK transducer_block_1;
	INDEX 75;
	OPERATION READ;
	TRANSACTION
	{
		REQUEST
		{
		}
		REPLY
		{
			tb_sensor_Upper_trim
		}
	}
}
COMMAND write_tb_sensor_Upper_trim
{
	BLOCK transducer_block_1;
	INDEX 75;
	OPERATION WRITE;
	TRANSACTION
	{
		REQUEST
		{
			tb_sensor_Upper_trim
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/****** METHODS	****************************************************************/
/*******************************************************************************/
METHOD method_balance_func1_AI_tag_desc
{
	CLASS INPUT;
	LABEL [balance];
	DEFINITION
	{
		phys_tag_desc = func1_AI_tag_desc; 
	}
}

METHOD method_set
{
	LABEL		[transfer];
	HELP		[transfer_help];
	DEFINITION
	{
	}
}
METHOD method_refresh_spec_para
{
	LABEL		[method_refresh_spec_para_label];
 	DEFINITION
	{
		if(tb_spec_lin_type==240)
		{
			tb_spec_max_number=500;
		}
		else
		{
			tb_spec_max_number=1000;
		}
	}
}

//------------------------------------------------------------------------------------
//------------------------------------------------------------------------------------
//------------------------------------------------------------------------------------


/********************************************************************************/
/********************************************************************************/
/*																				*/
/*		 MENU UPLOAD /  MENU DOWNLOAD											*/
/*																				*/
/********************************************************************************/
/********************************************************************************/


MENU download_variables		
{
	LABEL		[menu_load_to_PC];
	ITEMS
	{

		PHYS_LOAD_TO_PC,
  			phys_blk_profile_rev,			

		TRANS1_LOAD_TO_PC,       //defuned in MSYS_B3PU_00_tran1.inc
			trans1_primary_value,			
			
		FUNC1_LOAD_TO_PC,
			func1_AI_out_value,  
            func1_AI_out_status_quality		
	}
}      
MENU upload_variables	
{
	LABEL		[menu_load_to_device];
	ITEMS
	{
		
		PHYS_LOAD_TO_DEVICE,
	 
		TRANS1_LOAD_TO_DEVICE,  

		FUNC1_LOAD_TO_DEVICE,
	}
}

