/*========================== EDDL file: MSYS_B3PU_USER_SENSOR.inc ================
*
*	DEVICE NAME: B3PU
*	VENDOR NAME: M-SYSTEM CO.,LTD.
*	AUTHOR: T.LI
*	REVISION: 	1.01	2005/02/02
*=========================================================================*/


/********************************  STEP 1  *********************************
* Select one of the following definations by deleting "//" before the defination,  
* and remain or add  "//" before  defination(s) else.
*********************************************************************************/
 #define   USER_SPEC_SENSOR	TB_SPEC_SENSOR_LIN_TYPE_RTD
// #define   USER_SPEC_SENSOR	TB_SPEC_SENSOR_LIN_TYPE_TC


/********************************  STEP 2  *********************************
* Select one of the following definations by deleting "//" before the defination,
*  and remain (or add ) "//" before  defination(s) else.  
*********************************************************************************/
// #define   USER_SPEC_UNIT	TEMPERATURE_UNIT_KELVIN
 #define   USER_SPEC_UNIT	TEMPERATURE_UNIT_CELSIUS		
// #define   USER_SPEC_UNIT	TEMPERATURE_UNIT_FAHRENHEIT		
// #define   USER_SPEC_UNIT	TEMPERATURE_UNIT_RANKINE	

/********************************  STEP 3  *********************************
* Define  the pitch of your linearization table in the unit you selected in step2. 
* Replace the data  with your pitch .
* ATTENTION: 	 this value must be defined carefully because it will be rounded  to 
*		and used internally as one-byte INTEGER  in unit CELSIUS. 
*********************************************************************************/
#define USER_SPEC_PITCH		10

/********************************  STEP4  *********************************
*  Define  actual number of entries in your linearization table .
*  NOT bigger than 500 for RTD, 1000 for TC
*********************************************************************************/
#define USER_SPEC_ACTUAL_NUM			5

#define USER_SPEC_MIN_TEMPERATURE		200


#ifdef USER_SPEC_SENSOR
METHOD DownloadUserLinearizationTable
{
	CLASS		 INPUT;
	ACCESS		OFFLINE;
	LABEL	       [DownloadUserLinearizationTable_label];
	HELP		[DownloadUserLinearizationTable_help];
	DEFINITION
	{
		int iCount;
		float user_tab[USER_SPEC_ACTUAL_NUM];

		 iCount=0;	
/********************************  STEP5  *********************************
* You need to input your table here! 
* The entries should be as same as USER_SPEC_ACTUAL_NUM you defined in STEP4
*********************************************************************************/	
		user_tab[0]=110;
		user_tab[1]=135;
		user_tab[2]=160;
		user_tab[3]=180;
		user_tab[4]=230;
                
		/*     ..... so on.  */		    
                 
/***************************   NO MORE EDIT! ! *****************************/

		tb_spec_lin_type= USER_SPEC_SENSOR;
 		WriteCommand(write_tb_spec_lin_type);	

		tb_spec_operation_code=TB_SPEC_OPERATION_CODE_EDITABLE;	
		 WriteCommand(write_tb_spec_operation_code);	

		tb_spec_temperature_unit=USER_SPEC_UNIT;
		 WriteCommand(write_tb_spec_temperature_unit);	

		tb_spec_min_temperature=USER_SPEC_MIN_TEMPERATURE;
		WriteCommand(write_tb_spec_min_temperature);

		tb_spec_pitch= USER_SPEC_PITCH;
		WriteCommand(write_tb_spec_pitch);		
		
		tb_spec_actual_index_number=USER_SPEC_ACTUAL_NUM;
		WriteCommand(write_tb_spec_actual_index_number);
		
		while(iCount < tb_spec_actual_index_number)	
		{
			tb_spec_index=iCount+1;					
			WriteCommand(write_tb_spec_index);		

			tb_spec_entry_x=user_tab[iCount];
			WriteCommand(write_tb_spec_entry_x);	
			
			iCount=iCount+1;
		}	

		tb_spec_operation_code=TB_SPEC_OPERATION_CODE_OK;	
		 WriteCommand(write_tb_spec_operation_code);	
	}
}
#endif
